## org.apache.batik.css.engine.value.svg
Class StrokeDashoffsetManager

    java.lang.Object
      org.apache.batik.css.engine.value.AbstractValueFactory
          org.apache.batik.css.engine.value.AbstractValueManager
              org.apache.batik.css.engine.value.LengthManager
                  org.apache.batik.css.engine.value.svg.StrokeDashoffsetManager

All Implemented Interfaces:
  ValueManager

public class StrokeDashoffsetManager
extends LengthManager

This class provides a factory for the 'stroke-dashoffset' property values.

Field Summary

Fields inherited from class org.apache.batik.css.engine.value.LengthManager
`BOTH_ORIENTATION, HORIZONTAL_ORIENTATION, VERTICAL_ORIENTATION`

Constructor Summary
`StrokeDashoffsetManager()`

Method Summary
`Value` `createValue(LexicalUnit lu, CSSEngine engine)` Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.
`Value` `getDefaultValue()` Implements `ValueManager#getDefaultValue()`.
`protected int` `getOrientation()` Indicates the orientation of the property associated with this manager.
`java.lang.String` `getPropertyName()` Implements `ValueManager#getPropertyName()`.
`boolean` `isInheritedProperty()` Implements `ValueManager#isInheritedProperty()`.

Methods inherited from class org.apache.batik.css.engine.value.LengthManager
`computeValue, createFloatValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueManager
`createStringValue`

Methods inherited from class org.apache.batik.css.engine.value.AbstractValueFactory
`createDOMException, createInvalidFloatTypeDOMException, createInvalidFloatValueDOMException, createInvalidIdentifierDOMException, createInvalidLexicalUnitDOMException, createInvalidStringTypeDOMException, createMalformedLexicalUnitDOMException, resolveURI`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StrokeDashoffsetManager

    public StrokeDashoffsetManager()

Method Detail

### isInheritedProperty

    public boolean isInheritedProperty()

  Implements `ValueManager#isInheritedProperty()`.

### getPropertyName

    public java.lang.String getPropertyName()

  Implements `ValueManager#getPropertyName()`.

  Specified by:
    `getPropertyName` in interface `ValueManager`
  Specified by:
    `getPropertyName` in class `AbstractValueFactory`

### getDefaultValue

    public Value getDefaultValue()

  Implements `ValueManager#getDefaultValue()`.

### createValue

    public Value createValue(LexicalUnit lu,
                             CSSEngine engine)
                      throws org.w3c.dom.DOMException

  Implements `ValueManager#createValue(LexicalUnit,CSSEngine)`.

  Specified by:
    `createValue` in interface `ValueManager`
  Overrides:
    `createValue` in class `LengthManager`
  Throws:
    `org.w3c.dom.DOMException`

### getOrientation

    protected int getOrientation()

  Indicates the orientation of the property associated with this manager.

  Specified by:
    `getOrientation` in class `LengthManager`

Copyright © 2004 Apache Software Foundation. All Rights Reserved.